com.brightcove.player.analytics

## Class Analytics.Fields

- java.lang.Object
- - com.brightcove.player.analytics.Analytics.Fields

- Enclosing class:
    Analytics

      public static class Analytics.Fields
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static java.lang.String` | `ACCOUNT`
    `static java.lang.String` | `APPLICATION_ID` Key value to set the Application Id
    `static java.lang.String` | `BASE_PARAMS`
    `protected static java.lang.String` | `CATALOG_URL`
    `protected static java.lang.String` | `DESTINATION`
    `protected static java.lang.String` | `DEVICE`
    `protected static java.lang.String` | `DEVICE_CPU`
    `protected static java.lang.String` | `DEVICE_HARDWARE`
    `protected static java.lang.String` | `DEVICE_MANUFACTURER`
    `protected static java.lang.String` | `DEVICE_MODEL`
    `protected static java.lang.String` | `DEVICE_OS`
    `protected static java.lang.String` | `DEVICE_OS_VERSION`
    `protected static java.lang.String` | `DEVICE_PRODUCT`
    `protected static java.lang.String` | `DEVICE_TYPE`
    `protected static java.lang.String` | `DOMAIN`
    `static java.lang.String` | `DOWNLOAD_CANCEL_TIME` The name of the property specifies the date and time when the download request was cancelled as number of milliseconds since January 1, 1970, 00:00:00 GMT.
    `static java.lang.String` | `DOWNLOAD_COMPLETION_TIME` The name of the property specifies the date and time when the download request completed as number of milliseconds since January 1, 1970, 00:00:00 GMT.
    `static java.lang.String` | `DOWNLOAD_FAILURE_TIME` The name of the property specifies the date and time when the download request failed as number of milliseconds since January 1, 1970, 00:00:00 GMT.
    `static java.lang.String` | `DOWNLOAD_ID` The name of the property specifies the globally unique download identifier for the offline copy of the video.
    `static java.lang.String` | `DOWNLOAD_REQUEST_TIME` The name of the property specifies that date and time when the download request was initiated as the number of milliseconds since January 1, 1970, 00:00:00 GMT.
    `static java.lang.String` | `DOWNLOAD_SIZE` The name of the property specifies the total size of the download as number of bytes.
    `protected static java.lang.String` | `ERROR_CODE`
    `protected static java.lang.String` | `ERROR_DESCRIPTION`
    `protected static java.lang.String` | `EVENT`
    `protected static java.lang.String` | `EVENT_AD_END` ad_end event property.
    `protected static java.lang.String` | `EVENT_AD_START` ad_start event property.
    `protected static java.lang.String` | `EVENT_CATALOG_REQUEST` catalog_request event property and associated fields.
    `protected static java.lang.String` | `EVENT_CATALOG_RESPONSE` catalog_response event property and associated fields.
    `static java.lang.String` | `EVENT_DOWNLOAD_CANCEL` This event will be sent when a `Video` download is successfully cancelled.
    `static java.lang.String` | `EVENT_DOWNLOAD_COMPLETE` This event will be sent when a `Video` download is successfully completed.
    `static java.lang.String` | `EVENT_DOWNLOAD_FAIL` This event will be sent when a `Video` download fails.
    `protected static java.lang.String` | `EVENT_DOWNLOAD_PREFIX` The prefix that will be used identify all ODRM download related events..
    `static java.lang.String` | `EVENT_DOWNLOAD_REQUESTED` This event will be sent to the analytics server when a request to download a `Video` is received.
    `static java.lang.String` | `EVENT_DOWNLOAD_START` This event will be sent when a `Video` download starts the first time.
    `protected static java.lang.String` | `EVENT_ERROR` error event property and associated fields.
    `protected static java.lang.String` | `EVENT_PLAY_REQUEST` play_request event property.
    `protected static java.lang.String` | `EVENT_VIDEO_COMPLETE` video_complete event property.
    `protected static java.lang.String` | `EVENT_VIDEO_ENGAGEMENT` video_engagement event property and associated fields.
    `protected static java.lang.String` | `EVENT_VIDEO_IMPRESSION` video_impression event property.
    `protected static java.lang.String` | `EVENT_VIDEO_VIEW` video_view event property and associated fields.
    `protected static java.lang.String` | `FORWARD_BUFFER_SECONDS`
    `protected static java.lang.String` | `LOAD_TIME_MS`
    `protected static java.lang.String` | `MEASURED_BPS`
    `protected static java.lang.String` | `MEDIA_BYTES_TRANSFERRED` The key for total number of bytes transferred by the video player.
    `protected static java.lang.String` | `PLATFORM`
    `protected static java.lang.String` | `PLATFORM_VERSION`
    `protected static java.lang.String` | `PLAYER_HEIGHT`
    `protected static java.lang.String` | `PLAYER_WIDTH`
    `protected static java.lang.String` | `RANGE`
    `protected static java.lang.String` | `REBUFFERING_COUNT`
    `protected static java.lang.String` | `REBUFFERING_SECONDS`
    `protected static java.lang.String` | `RENDITION_HEIGHT`
    `protected static java.lang.String` | `RENDITION_INDICATED_BPS`
    `protected static java.lang.String` | `RENDITION_MIME_TYPE`
    `protected static java.lang.String` | `RENDITION_URL`
    `protected static java.lang.String` | `RENDITION_WIDTH`
    `protected static java.lang.String` | `RESPONSE_TIME_MS`
    `protected static java.lang.String` | `SESSION` Required
    `protected static java.lang.String` | `SOURCE`
    `protected static java.lang.String` | `START_TIME_MS`
    `protected static java.lang.String` | `TIME`
    `static java.lang.String` | `USER` Key value to set the User
    `protected static java.lang.String` | `VIDEO_DURATION`
    `protected static java.lang.String` | `VIDEO_ID`
    `protected static java.lang.String` | `VIDEO_NAME` Optional
    `protected static java.lang.String` | `VIDEO_SECONDS_VIEWED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Fields()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### BASE_PARAMS

          public static final java.lang.String BASE_PARAMS

      See Also:
        Constant Field Values

    - #### SESSION

          protected static final java.lang.String SESSION

      Required
      See Also:
        Constant Field Values

    - #### EVENT

          protected static final java.lang.String EVENT

      See Also:
        Constant Field Values

    - #### DOMAIN

          protected static final java.lang.String DOMAIN

      See Also:
        Constant Field Values

    - #### DEVICE

          protected static final java.lang.String DEVICE

      See Also:
        Constant Field Values

    - #### DEVICE_CPU

          protected static final java.lang.String DEVICE_CPU

      See Also:
        Constant Field Values

    - #### DEVICE_OS

          protected static final java.lang.String DEVICE_OS

      See Also:
        Constant Field Values

    - #### DEVICE_OS_VERSION

          protected static final java.lang.String DEVICE_OS_VERSION

      See Also:
        Constant Field Values

    - #### DEVICE_TYPE

          protected static final java.lang.String DEVICE_TYPE

      See Also:
        Constant Field Values

    - #### DEVICE_HARDWARE

          protected static final java.lang.String DEVICE_HARDWARE

      See Also:
        Constant Field Values

    - #### DEVICE_MANUFACTURER

          protected static final java.lang.String DEVICE_MANUFACTURER

      See Also:
        Constant Field Values

    - #### DEVICE_MODEL

          protected static final java.lang.String DEVICE_MODEL

      See Also:
        Constant Field Values

    - #### DEVICE_PRODUCT

          protected static final java.lang.String DEVICE_PRODUCT

      See Also:
        Constant Field Values

    - #### TIME

          protected static final java.lang.String TIME

      See Also:
        Constant Field Values

    - #### VIDEO_ID

          protected static final java.lang.String VIDEO_ID

      See Also:
        Constant Field Values

    - #### ACCOUNT

          protected static final java.lang.String ACCOUNT

      See Also:
        Constant Field Values

    - #### DESTINATION

          protected static final java.lang.String DESTINATION

      See Also:
        Constant Field Values

    - #### SOURCE

          protected static final java.lang.String SOURCE

      See Also:
        Constant Field Values

    - #### PLATFORM

          protected static final java.lang.String PLATFORM

      See Also:
        Constant Field Values

    - #### PLATFORM_VERSION

          protected static final java.lang.String PLATFORM_VERSION

      See Also:
        Constant Field Values

    - #### USER

          public static final java.lang.String USER

      Key value to set the User
      See Also:
        Constant Field Values

    - #### APPLICATION_ID

          public static final java.lang.String APPLICATION_ID

      Key value to set the Application Id
      See Also:
        Constant Field Values

    - #### VIDEO_NAME

          protected static final java.lang.String VIDEO_NAME

      Optional
      See Also:
        Constant Field Values

    - #### VIDEO_DURATION

          protected static final java.lang.String VIDEO_DURATION

      See Also:
        Constant Field Values

    - #### EVENT_VIDEO_ENGAGEMENT

          protected static final java.lang.String EVENT_VIDEO_ENGAGEMENT

      video_engagement event property and associated fields.
      See Also:
        Constant Field Values

    - #### RANGE

          protected static final java.lang.String RANGE

      See Also:
        Constant Field Values

    - #### VIDEO_SECONDS_VIEWED

          protected static final java.lang.String VIDEO_SECONDS_VIEWED

      See Also:
        Constant Field Values

    - #### RENDITION_URL

          protected static final java.lang.String RENDITION_URL

      See Also:
        Constant Field Values

    - #### RENDITION_INDICATED_BPS

          protected static final java.lang.String RENDITION_INDICATED_BPS

      See Also:
        Constant Field Values

    - #### RENDITION_MIME_TYPE

          protected static final java.lang.String RENDITION_MIME_TYPE

      See Also:
        Constant Field Values

    - #### RENDITION_HEIGHT

          protected static final java.lang.String RENDITION_HEIGHT

      See Also:
        Constant Field Values

    - #### RENDITION_WIDTH

          protected static final java.lang.String RENDITION_WIDTH

      See Also:
        Constant Field Values

    - #### REBUFFERING_SECONDS

          protected static final java.lang.String REBUFFERING_SECONDS

      See Also:
        Constant Field Values

    - #### REBUFFERING_COUNT

          protected static final java.lang.String REBUFFERING_COUNT

      See Also:
        Constant Field Values

    - #### FORWARD_BUFFER_SECONDS

          protected static final java.lang.String FORWARD_BUFFER_SECONDS

      See Also:
        Constant Field Values

    - #### MEASURED_BPS

          protected static final java.lang.String MEASURED_BPS

      See Also:
        Constant Field Values

    - #### PLAYER_WIDTH

          protected static final java.lang.String PLAYER_WIDTH

      See Also:
        Constant Field Values

    - #### PLAYER_HEIGHT

          protected static final java.lang.String PLAYER_HEIGHT

      See Also:
        Constant Field Values

    - #### MEDIA_BYTES_TRANSFERRED

          protected static final java.lang.String MEDIA_BYTES_TRANSFERRED

      The key for total number of bytes transferred by the video player.
      See Also:
        Constant Field Values

    - #### EVENT_VIDEO_VIEW

          protected static final java.lang.String EVENT_VIDEO_VIEW

      video_view event property and associated fields.
      See Also:
        Constant Field Values

    - #### LOAD_TIME_MS

          protected static final java.lang.String LOAD_TIME_MS

      See Also:
        Constant Field Values

    - #### START_TIME_MS

          protected static final java.lang.String START_TIME_MS

      See Also:
        Constant Field Values

    - #### EVENT_CATALOG_REQUEST

          protected static final java.lang.String EVENT_CATALOG_REQUEST

      catalog_request event property and associated fields. Sent when a request to the videocloud catalog api is made.
      See Also:
        Constant Field Values

    - #### CATALOG_URL

          protected static final java.lang.String CATALOG_URL

      See Also:
        Constant Field Values

    - #### EVENT_CATALOG_RESPONSE

          protected static final java.lang.String EVENT_CATALOG_RESPONSE

      catalog_response event property and associated fields. Send when a reponse to a prior catalog_request is received. This event also uses the CATALOG_URL field defined in the catalog_request event property.
      See Also:
        Constant Field Values

    - #### RESPONSE_TIME_MS

          protected static final java.lang.String RESPONSE_TIME_MS

      See Also:
        Constant Field Values

    - #### EVENT_PLAY_REQUEST

          protected static final java.lang.String EVENT_PLAY_REQUEST

      play_request event property. Sent when the playback is initiated either by the user expressly clicking the play button, or automatically when the platform triggers playback in an auto-play scenario.
      See Also:
        Constant Field Values

    - #### EVENT_AD_START

          protected static final java.lang.String EVENT_AD_START

      ad_start event property. Sent when control is handed over to an advertising agency by the playback plaform.
      See Also:
        Constant Field Values

    - #### EVENT_AD_END

          protected static final java.lang.String EVENT_AD_END

      ad_end event property. Sent when control is handed back from the advertising agent to the playback platform.
      See Also:
        Constant Field Values

    - #### EVENT_ERROR

          protected static final java.lang.String EVENT_ERROR

      error event property and associated fields. Sent when fatal errors which disrupt the playback experience are encountered.
      See Also:
        Constant Field Values

    - #### ERROR_CODE

          protected static final java.lang.String ERROR_CODE

      See Also:
        Constant Field Values

    - #### ERROR_DESCRIPTION

          protected static final java.lang.String ERROR_DESCRIPTION

      See Also:
        Constant Field Values

    - #### EVENT_VIDEO_IMPRESSION

          protected static final java.lang.String EVENT_VIDEO_IMPRESSION

      video_impression event property.
      See Also:
        Constant Field Values

    - #### EVENT_VIDEO_COMPLETE

          protected static final java.lang.String EVENT_VIDEO_COMPLETE

      video_complete event property.
      See Also:
        Constant Field Values

    - #### EVENT_DOWNLOAD_PREFIX

          protected static final java.lang.String EVENT_DOWNLOAD_PREFIX

      The prefix that will be used identify all ODRM download related events..
      See Also:
        Constant Field Values

    - #### EVENT_DOWNLOAD_REQUESTED

          public static final java.lang.String EVENT_DOWNLOAD_REQUESTED

      This event will be sent to the analytics server when a request to download a `Video` is received.
      See Also:
        Constant Field Values

    - #### EVENT_DOWNLOAD_START

          public static final java.lang.String EVENT_DOWNLOAD_START

      This event will be sent when a `Video` download starts the first time.
      See Also:
        Constant Field Values

    - #### EVENT_DOWNLOAD_COMPLETE

          public static final java.lang.String EVENT_DOWNLOAD_COMPLETE

      This event will be sent when a `Video` download is successfully completed.
      See Also:
        Constant Field Values

    - #### EVENT_DOWNLOAD_CANCEL

          public static final java.lang.String EVENT_DOWNLOAD_CANCEL

      This event will be sent when a `Video` download is successfully cancelled.
      See Also:
        Constant Field Values

    - #### EVENT_DOWNLOAD_FAIL

          public static final java.lang.String EVENT_DOWNLOAD_FAIL

      This event will be sent when a `Video` download fails.
      See Also:
        Constant Field Values

    - #### DOWNLOAD_ID

          public static final java.lang.String DOWNLOAD_ID

      The name of the property specifies the globally unique download identifier for the offline copy of the video.
      See Also:
        Constant Field Values

    - #### DOWNLOAD_REQUEST_TIME

          public static final java.lang.String DOWNLOAD_REQUEST_TIME

      The name of the property specifies that date and time when the download request was initiated as the number of milliseconds since January 1, 1970, 00:00:00 GMT.
      See Also:
        Constant Field Values

    - #### DOWNLOAD_CANCEL_TIME

          public static final java.lang.String DOWNLOAD_CANCEL_TIME

      The name of the property specifies the date and time when the download request was cancelled as number of milliseconds since January 1, 1970, 00:00:00 GMT.
      See Also:
        Constant Field Values

    - #### DOWNLOAD_COMPLETION_TIME

          public static final java.lang.String DOWNLOAD_COMPLETION_TIME

      The name of the property specifies the date and time when the download request completed as number of milliseconds since January 1, 1970, 00:00:00 GMT.
      See Also:
        Constant Field Values

    - #### DOWNLOAD_FAILURE_TIME

          public static final java.lang.String DOWNLOAD_FAILURE_TIME

      The name of the property specifies the date and time when the download request failed as number of milliseconds since January 1, 1970, 00:00:00 GMT.
      See Also:
        Constant Field Values

    - #### DOWNLOAD_SIZE

          public static final java.lang.String DOWNLOAD_SIZE

      The name of the property specifies the total size of the download as number of bytes.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Fields

          public Fields()